Polls

Cast a vote on behalf of a user

POST
/api/v1/polls/{id}/vote

Authorization

tenant-api-key
x-api-key<token>

Tenant API key (backend only — never expose to a browser)

In: header

Path Parameters

id*string

Poll ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/polls/string/vote" \  -H "Content-Type: application/json" \  -d '{    "optionIds": [      "string"    ],    "voterExternalId": "user_abc123"  }'
{  "id": "string",  "roomId": "string",  "question": "string",  "status": "DRAFT",  "isAnonymous": true,  "allowMultiple": true,  "totalVotes": 0,  "options": [    {      "id": "string",      "text": "string",      "order": 0,      "count": 0    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "closedAt": {}}